Method: iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.get

카탈로그에서 Iceberg 네임스페이스를 가져옵니다 (또는 메서드가 HEAD인 경우 존재하는지 확인).

HTTP 요청


GET https://biglake.googleapis.com/iceberg/v1/restcatalog/v1/{name=projects/*/catalogs/*/namespaces/*}

URL은 gRPC 트랜스코딩 구문을 사용합니다.

경로 매개변수

매개변수
name

string

필수 항목입니다. 가져올 Iceberg 네임스페이스입니다(projects/{projectId}/catalogs/{catalogId}/namespaces/{namespace} 형식).

요청 본문

요청 본문은 비어 있어야 합니다.

응답 본문

성공한 경우 응답 본문에 IcebergNamespace의 인스턴스가 포함됩니다.

승인 범위

다음 OAuth 범위 중 하나가 필요합니다.

  • https://www.googleapis.com/auth/bigquery
  • https://www.googleapis.com/auth/cloud-platform

자세한 내용은 Authentication Overview를 참조하세요.